Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ResourceOptions

Resource Options Class
Contained in: global
Derived from: none
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:

### Construction:

`` | `CL_ResourceOptions` | `()`;
`` | `~CL_ResourceOptions` | `()`;

### Attributes:

``std::map`<`std::string`, `CL_ResourceOption`>&` | `get_options` | `()`;
``CL_ResourceOption`&` | `get_option` | `(`const` `std::string`& `name`)`;
``const` `CL_ResourceOption`&` | `get_option` | `(`const` `std::string`& `name`) `const``;
``bool`` | `exists` | `(`const` `std::string`& `name`)`;

### Operations:

``void`` | `add` | `(`const` `CL_ResourceOption`& `option`)`;

## Description:

## Function Member Descriptions:

CL_ResourceOptions::CL_ResourceOptions - Resource Options Constructor
`` `CL_ResourceOptions` `()`;

CL_ResourceOptions::add - Add a resource option.
``void`` `add` `(`const` `CL_ResourceOption`& `option`)`;

CL_ResourceOptions::exists - Returns true if an option exists.
``bool`` `exists` `(`const` `std::string`& `name`)`;

CL_ResourceOptions::get_option - Returns a resource option.
``CL_ResourceOption`&` `get_option` `(`const` `std::string`& `name`)`;

CL_ResourceOptions::get_option - Returns a resource option.
``const` `CL_ResourceOption`&` `get_option` `(`const` `std::string`& `name`) `const``;

CL_ResourceOptions::get_options - Returns a list of all the resource options.
``std::map`<`std::string`, `CL_ResourceOption`>&` `get_options` `()`;

CL_ResourceOptions::~CL_ResourceOptions - Resource Options Destructor
`` `~CL_ResourceOptions` `()`;

## Variable Member Descriptions: